Subject: [hybi] multiplexing

From: Martin Sustrik <[email-masked]>
Date: Thu, 01 Sep 2011 08:57:29 +0200

Hi,

Draft 13 says:

    "A secondary use-case for fragmentation is for multiplexing, where it
    is not desirable for a large message on one logical channel to
    monopolize the output channel, so the MUX needs to be free to split
    the message into smaller fragments to better share the output
    channel."

The above doesn't play well with TCP pushback. If there are two streams
passed on top of single TCP connection, and the application doesn't keep
up with reading one stream, the other stream gets stuck as well.

Is the intention not to use pushback as a means of flow control? In
other words, if you can't process a message immediately, you must read
it anyway so as not to block other streams? That sounds like a recipe
for running out of memory.

Martin